Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1442424

Summary: Review Request: nodejs-snapdragon - Easy-to-use plugin system for parsers and compilers
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: zebob.m: fedora-review+
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-10-11 17:29:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1442405, 1442408, 1442415, 1442416, 1442417, 1442423    
Bug Blocks: 956806, 1387531, 1364172    

Description Jared Smith 2017-04-14 16:50:38 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-snapdragon/nodejs-snapdragon.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-snapdragon/nodejs-snapdragon-0.11.0-1.fc27.src.rpm
Description: Easy-to-use plugin system for parsers and compilers
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2017-09-15 18:31:58 UTC
ive got errors in the tests:

  8 passing (18ms)
  15 failing
  1) compiler "before each" hook for "should throw an error when a compiler is missing":
     TypeError: this.ast.pushNode is not a function
      at Parser.init (lib/parser.js:73:14)
      at new Parser (lib/parser.js:31:8)
      at Context.<anonymous> (test/compile.js:13:14)
  2) parser "before each" hook for "should return true if "node" is the given "type"":
     TypeError: this.ast.pushNode is not a function
      at Parser.init (lib/parser.js:73:14)
      at new Parser (lib/parser.js:31:8)
      at Context.<anonymous> (test/nodes.js:13:14)
  3) parser "before each" hook for "should throw an error when invalid args are passed to parse":
     TypeError: this.ast.pushNode is not a function
      at Parser.init (lib/parser.js:73:14)
      at new Parser (lib/parser.js:31:8)
      at Context.<anonymous> (test/parse.js:11:14)
  4) ast "before each" hook for "should add pattern to orig property":
     TypeError: this.ast.pushNode is not a function
      at Parser.init (lib/parser.js:73:14)
      at new Parser (lib/parser.js:31:8)
      at Context.<anonymous> (test/parse.js:140:14)
  5) parser "before each" hook for "should return an instance of Parser:":
     TypeError: this.ast.pushNode is not a function
      at Parser.init (lib/parser.js:73:14)
      at new Parser (lib/parser.js:31:8)
      at Context.<anonymous> (test/parser.js:10:14)
  6) .capture (plugin usage) "before each" hook for "should throw an error when invalid args are passed to parse":
     TypeError: this.ast.pushNode is not a function
      at Parser.init (lib/parser.js:73:14)
      at new Parser (lib/parser.js:31:8)
      at Snapdragon.get (index.js:186:27)
      at Snapdragon.<anonymous> (/usr/lib/node_modules/snapdragon-capture/index.js:20:17)
      at Snapdragon.use (index.js:60:6)
      at Context.<anonymous> (test/snapdragon.capture.js:12:16)
  7) ast "before each" hook for "should add pattern to orig property":
     TypeError: this.ast.pushNode is not a function
      at Parser.init (lib/parser.js:73:14)
      at new Parser (lib/parser.js:31:8)
      at Snapdragon.get (index.js:186:27)
      at Snapdragon.<anonymous> (/usr/lib/node_modules/snapdragon-capture/index.js:20:17)
      at Snapdragon.use (index.js:60:6)
      at Context.<anonymous> (test/snapdragon.capture.js:62:16)
  8) snapdragon.compiler "before each" hook for "should throw an error when a compiler is missing":
     TypeError: this.ast.pushNode is not a function
      at Parser.init (lib/parser.js:73:14)
      at new Parser (lib/parser.js:31:8)
      at Snapdragon.get (index.js:186:27)
      at Context.<anonymous> (test/snapdragon.compile.js:12:15)
  9) parser errors should throw an error when invalid args are passed to parse:
      AssertionError [ERR_ASSERTION]: 'this.ast.pushNode is not a function' == 'expected a string'
      + expected - actual
      +expected a string
      -this.ast.pushNode is not a function
      
      at Context.<anonymous> (test/snapdragon.parse.js:20:16)
  10) parser .set(): should register middleware:
     TypeError: this.ast.pushNode is not a function
      at Parser.init (lib/parser.js:73:14)
      at new Parser (lib/parser.js:31:8)
      at Snapdragon.get (index.js:186:27)
      at Context.<anonymous> (test/snapdragon.parse.js:28:17)
  11) parser .set(): should use middleware to parse:
     TypeError: this.ast.pushNode is not a function
      at Parser.init (lib/parser.js:73:14)
      at new Parser (lib/parser.js:31:8)
      at Snapdragon.get (index.js:186:27)
      at Context.<anonymous> (test/snapdragon.parse.js:43:17)
  12) parser .set(): should create ast node::
     TypeError: this.ast.pushNode is not a function
      at Parser.init (lib/parser.js:73:14)
      at new Parser (lib/parser.js:31:8)
      at Snapdragon.get (index.js:186:27)
      at Context.<anonymous> (test/snapdragon.parse.js:58:17)
  13) parser .set(): should be chainable::
     TypeError: this.ast.pushNode is not a function
      at Parser.init (lib/parser.js:73:14)
      at new Parser (lib/parser.js:31:8)
      at Snapdragon.get (index.js:186:27)
      at Context.<anonymous> (test/snapdragon.parse.js:72:17)
  14) ast "before each" hook for "should add pattern to orig property":
     TypeError: this.ast.pushNode is not a function
      at Parser.init (lib/parser.js:73:14)
      at new Parser (lib/parser.js:31:8)
      at Snapdragon.get (index.js:186:27)
      at Context.<anonymous> (test/snapdragon.parse.js:101:15)
  15) parser "before each" hook for "should expose a regex cache with regex from registered parsers":
     TypeError: this.ast.pushNode is not a function
      at Parser.init (lib/parser.js:73:14)
      at new Parser (lib/parser.js:31:8)
      at Snapdragon.get (index.js:186:27)
      at Snapdragon.<anonymous> (/usr/lib/node_modules/snapdragon-capture/index.js:20:17)
      at Snapdragon.use (index.js:60:6)
      at Context.<anonymous> (test/snapdragon.regex.js:12:16)

Comment 2 Robert-André Mauchin 2017-09-23 09:58:16 UTC
Package accepted.

Comment 3 Jared Smith 2017-09-24 00:21:57 UTC
'Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1570'

Comment 4 Gwyn Ciesla 2017-09-24 17:27:21 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-snapdragon

Comment 5 Jared Smith 2017-09-26 17:43:50 UTC
In rawhide, closing bug

Comment 6 Jared Smith 2017-09-28 17:23:48 UTC
Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1771

Comment 7 Jared Smith 2017-10-11 17:29:14 UTC
In rawhide, closing bug